Bug 60063 - userdel uses 100% of cpu when their are duplicate users/groups in /etc/passwd or /etc/group
userdel uses 100% of cpu when their are duplicate users/groups in /etc/passwd...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-19 11:43 EST by bdraco
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-23 16:18:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bdraco 2002-02-19 11:43:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.1.2 (X11; Linux i686; U;) Gecko/20011226

Description of problem:
userdel should remove both the user and the duplicate line

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. create two users with the same username 
2. delete the user with userdel
3.
	

Additional info:
Comment 1 Eido Inoue 2004-09-23 16:18:52 EDT
Not a problem in 4.0.3 in later (does not eat 100% of time)

Note You need to log in before you can comment on or make changes to this bug.